curl https://api.247calldesk.com/api/v1/voice/calls/call_cm1abc2def3gh4 \
-H "Authorization: Bearer calldesk_abc123"
{
"call_id": "call_cm1abc2def3gh4",
"status": "DIALER_COMPLETED",
"caller_id": "+14155550123",
"destination": "+14155559876",
"duration_seconds": 145,
"billed_minutes": 3,
"recording_url": "https://storage.24calldesk.com/recordings/...",
"voicemail_drop": false,
"source": "API",
"metadata": { "patient_id": "P-12345" },
"created_at": "2026-04-15T18:30:22Z",
"updated_at": "2026-04-15T18:32:47Z",
"links": {
"self": "/api/v1/voice/calls/call_cm1abc2def3gh4",
"status": "/api/v1/voice/calls/call_cm1abc2def3gh4/status",
"recordings": "/api/v1/voice/calls/call_cm1abc2def3gh4/recordings"
}
}
Retrieve detailed information about a specific call.
curl https://api.247calldesk.com/api/v1/voice/calls/call_cm1abc2def3gh4 \
-H "Authorization: Bearer calldesk_abc123"
{
"call_id": "call_cm1abc2def3gh4",
"status": "DIALER_COMPLETED",
"caller_id": "+14155550123",
"destination": "+14155559876",
"duration_seconds": 145,
"billed_minutes": 3,
"recording_url": "https://storage.24calldesk.com/recordings/...",
"voicemail_drop": false,
"source": "API",
"metadata": { "patient_id": "P-12345" },
"created_at": "2026-04-15T18:30:22Z",
"updated_at": "2026-04-15T18:32:47Z",
"links": {
"self": "/api/v1/voice/calls/call_cm1abc2def3gh4",
"status": "/api/v1/voice/calls/call_cm1abc2def3gh4/status",
"recordings": "/api/v1/voice/calls/call_cm1abc2def3gh4/recordings"
}
}
curl https://api.247calldesk.com/api/v1/voice/calls/call_cm1abc2def3gh4 \
-H "Authorization: Bearer calldesk_abc123"
{
"call_id": "call_cm1abc2def3gh4",
"status": "DIALER_COMPLETED",
"caller_id": "+14155550123",
"destination": "+14155559876",
"duration_seconds": 145,
"billed_minutes": 3,
"recording_url": "https://storage.24calldesk.com/recordings/...",
"voicemail_drop": false,
"source": "API",
"metadata": { "patient_id": "P-12345" },
"created_at": "2026-04-15T18:30:22Z",
"updated_at": "2026-04-15T18:32:47Z",
"links": {
"self": "/api/v1/voice/calls/call_cm1abc2def3gh4",
"status": "/api/v1/voice/calls/call_cm1abc2def3gh4/status",
"recordings": "/api/v1/voice/calls/call_cm1abc2def3gh4/recordings"
}
}